libnvcuvid1_390.116-1_i386.deb


Advertisement

Description

libnvcuvid1 - NVIDIA CUDA Video Decoder runtime library

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Nonfree i386
Package filename libnvcuvid1_390.116-1_i386.deb
Package name libnvcuvid1
Package version 390.116
Package release 1
Package architecture i386
Package type deb
Category non-free/libs role::shared-lib
Homepage https://www.nvidia.com
License -
Maintainer Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Download size 870.43 KB
Installed size 2.75 MB
The Compute Unified Device Architecture (CUDA) enables NVIDIA
graphics processing units (GPUs) to be used for massively parallel
general purpose computation.
The NVIDIA CUDA Video Decoder (NVCUVID) library provides an interface to
hardware video decoding capabilities on NVIDIA GPUs with CUDA.
This package contains the nvcuvid runtime library.

Alternatives

Package Version Architecture Repository
libnvcuvid1_390.116-1_amd64.deb 390.116 amd64 Debian Nonfree
libnvcuvid1 - - -

Requires

Name Value
libc6 >= 2.1.3
libcuda1 = 390.116-1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnvcuvid1_390.116-1_i386.deb
Source Package nvidia-graphics-drivers

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnvcuvid1 deb package:
    # sudo apt-get install libnvcuvid1

Files

Path
/usr/lib/i386-linux-gnu/nvidia/current/libnvcuvid.so
/usr/lib/i386-linux-gnu/nvidia/current/libnvcuvid.so.1
/usr/lib/i386-linux-gnu/nvidia/current/libnvcuvid.so.390.116
/usr/share/bug/libnvcuvid1/control
/usr/share/bug/libnvcuvid1/script
/usr/share/doc/libnvcuvid1/changelog.Debian.gz
/usr/share/doc/libnvcuvid1/changelog.gz
/usr/share/doc/libnvcuvid1/copyright
/usr/share/lintian/overrides/libnvcuvid1

Changelog

2019-03-12 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.116-1) stretch; urgency=medium
* New upstream legacy branch release 390.116 (2019-02-22).
* Fixed CVE‑2018‑6260.  (Closes: #913467)
https://nvidia.custhelp.com/app/answers/detail/a_id/4772
- Fixed build failures which resulted in errors like "implicit declaration
of function drm_...", when building the NVIDIA DRM kernel module for Linux
kernel 5.0 release candidates.
- Fixed a bug which could cause VK_KHR_external_semaphore_fd operations
to fail.
- Fixed a build failure, "implicit declaration of function
'vm_insert_pfn'", when building the NVIDIA DRM kernel module for Linux
kernel 4.20 release candidates.
- Fixed a build failure, "unknown type name 'ipmi_user_t'", when building
the NVIDIA kernel module for Linux kernel 4.20 release candidates.
- Fixed a bug that caused mode switches to fail when an SDI output board was
connected.
- Fixed a bug that could cause rendering corruption in Vulkan programs.
- Fixed a bug that caused vkGetPhysicalDeviceDisplayPropertiesKHR() to
occasionally return incorrect values for physicalResolution.
* New upstream legacy branch release 340 series.
- Fixed a build failure, "too many arguments to function 'get_user_pages'",
when building the NVIDIA kernel module for Linux kernel v4.4.168.
- Fixed a build failure, "implicit declaration of function do_gettimeofday",
when building the NVIDIA kernel module for Linux kernel 5.0 release
candidates.
- Added a new kernel module parameter, NVreg_RestrictProfilingToAdminUsers,
to allow restricting the use of GPU performance counters to system
administrators only.
[ Luca Boccassi ]
* Drop kmem_cache_create_usercopy.patch, drm-mode.patch,
ipmi-user.patch, vm-insert-pfn.patch: fixed upstream.
* Update symbols files.
[ Andreas Beckmann ]
* nvidia-detect: stretch now has a 390.xx driver.
* nvidia-kernel-source: Bump debhelper dependency to match Build-Depends.
* Upload to stretch.
2019-02-06 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-8~deb9u1) stretch; urgency=medium
* Rebuild for stretch.
2019-02-04 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-8) unstable; urgency=medium
* Tune more package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
2019-02-02 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-7) unstable; urgency=medium
* Updated French (fr) debconf translations by Quentin Lejard.
(Closes: #920940)
* Use d/control.md5sum to keep track of d/control being up-to-date.
* Tune package relationships to prevent that installing packages from
nvidia-graphics-drivers-legacy-390xx driver pulls in packages from
nvidia-graphics-drivers via Recommends.
* Drop versioned constraints that are satisfied in wheezy.
2019-01-08 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-6) unstable; urgency=medium
[ Luca Boccassi ]
* Add ipmi-user.patch and vm-insert-pfn.patch to fix kernel module build for
Linux 4.20 and newer.  (Closes: #917586)
* Update Swedish (sv) debconf translation. Thank you Martin Bagge!
(Closes: #918018)
2018-12-24 - Andreas Beckmann <anbe@debian.org>
nvidia-graphics-drivers (390.87-5) unstable; urgency=medium
* Prefer KBUILD_LDFLAGS (used since 4.19) over LDFLAGS.  (Closes: #916883)
* Work around update-alternatives bug #916799 and re-register the
alternative to clean-up leftover slaves.
* Bump Standards-Version to 4.3.0. No changes needed.
* Update lintian overrides.

See Also

Package Description
libnvidia-cfg1_390.116-1_i386.deb NVIDIA binary OpenGL/GLX configuration library
libnvidia-compiler_390.116-1_i386.deb NVIDIA runtime compiler library
libnvidia-eglcore_390.116-1_i386.deb NVIDIA binary EGL core libraries
libnvidia-encode1_390.116-1_i386.deb NVENC Video Encoding runtime library
libnvidia-fatbinaryloader_390.116-1_i386.deb NVIDIA FAT binary loader
libnvidia-fbc1_390.116-1_i386.deb NVIDIA OpenGL-based Framebuffer Capture runtime library
libnvidia-glcore_390.116-1_i386.deb NVIDIA binary OpenGL/GLX core libraries
libnvidia-ifr1_390.116-1_i386.deb NVIDIA OpenGL-based Inband Frame Readback runtime library
libnvidia-legacy-304xx-cfg1_304.137-5~deb9u1_i386.deb NVIDIA binary OpenGL/GLX configuration library (304xx legacy version)
libnvidia-legacy-304xx-compiler_304.137-5~deb9u1_i386.deb NVIDIA runtime compiler library (304xx legacy version)
libnvidia-legacy-304xx-cuda1-i386_304.137-5~deb9u1_i386.deb NVIDIA CUDA 32-bit runtime library (304xx legacy version)
libnvidia-legacy-304xx-cuda1_304.137-5~deb9u1_i386.deb NVIDIA CUDA Driver Library (304xx legacy version)
libnvidia-legacy-304xx-glcore_304.137-5~deb9u1_i386.deb NVIDIA binary OpenGL/GLX core libraries (304xx legacy version)
libnvidia-legacy-304xx-ml1_304.137-5~deb9u1_i386.deb NVIDIA Management Library (NVML) runtime library (304xx legacy version)
libnvidia-legacy-304xx-nvcuvid1_304.137-5~deb9u1_i386.deb NVIDIA CUDA Video Decoder runtime library (304xx legacy version)
Advertisement
Advertisement